package it.openutils.usermanagement.dataobjects;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;


/**
 * @author fberar
 * @version $Revision: 48 $ ($Author: fgiust $)
 */
@Entity
@Table(name = "APP_ROLE")
public class Role implements Serializable
{

    /**
     * stable serialVersionUID.
     */
    private static final long serialVersionUID = 1L;

    @Id
    @Column(name = "ID_ROLE", length = 100)
    private String id;

    @Column(name = "DESCRIPTION", length = 255, nullable = false)
    private String description;

    /**
     * Getter for <code>id</code>.
     * @return Returns the id.
     */
    public String getId()
    {
        return this.id;
    }

    /**
     * Setter for <code>id</code>.
     * @param id The id to set.
     */
    public void setId(String id)
    {
        this.id = id;
    }

    public String getDescription()
    {
        return description;
    }

    public void setDescription(String description)
    {
        this.description = description;
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString()
    {
        return new ToStringBuilder(this, ToStringStyle.SHORT_PREFIX_STYLE).append("id", this.id).append(
            "description",
            this.description).toString();
    }

}
